Version 1.0.1 Beta [ 25 January 2005]
- New items
- More clothing and special capes
- Axes are now degradable and can be repaired
- 3 new P2P races were added 
- Isla Prima has snow
- Tarsengaard map added
- Deepth map shadows
- Map annotations , map legend, continent map showing
- Many bug fixes
- Improvement in walking
- Better camera rotation
- Tool tips
- Support for music
- Lightable fires 
- Much better particle system
- Quick use bar
- AFK 'answering  machine'
- Custom keys
- Most of the options in el.ini are configurable in the game as well.

Version 1.0.0 Beta [15 August 2004]
- A new monster
- Isla Prima was totally remade
- A few bugs fixed, and some minor improvements to the network code.
- Major rewrite for the windowing code (a window manager)
- Many new items, such as magical weapons, iron plate armor, axes, etc.
- Some textures were enhanced, so some areas and items will look better.


Version 0.9.9 Beta [6 June 2004]
- 3 new maps
- Totally new interface, which includes the console and game map
- A quick bar with the first 6 items, and some status bars on the side of the new interface.
- Ability to click on the map and go to that place.
- 2 new monsters
- Support for music (music files not avialable yet)
- Support for Buddy List (awaiting server implementation)
- A few bug fixes.
- A quest log.
- Encyclopedia window.
- Overhead text support.
- Some new configuration variables.
- Texture compression
- Windows installer/updater

Version 0.9.8 Beta [3 May 2004]
- 1 new map
- Scrollwheel zooms in/out.
- You can drag the items out of the inventory, to drop them.
- Double righclick on an item uses it.
- The new knowledge menu.
- Some bug fixes.
- Total serverside system change, coupled with a partial wipe, makes the game much more interesting.

Version 0.9.7 Beta [21 March 2004]
- 3 new maps (1 surface map and 2 caves)
- Fixed a crashing problem by using an workaround to avoid an Nvida bug on Windows
- Added some new configuration options.
- There is now an option to use Vertex Arrays for displaying the MD2s. It can give a huge performance boost, but it takes a lot of memory as well. Default value is off.

Version 0.9.6 Beta [15 Feb 2004]
- Added a zoom in/out feature (PageUp/PageDown)
- Fixed the players/AI text alignment
- Tons of bug fixes
- Made the animations speed up a little in order to avoid unnecesary "resync with the server"
- 3 new maps
- 2 new animal types (rat and beaver)

Version 0.9.5 Beta [15 Jan 2004]
- Various bug fixes, such as the "living dead", the "mirror/ghost", and the wraith dissapearing at random times.
- Typing "//" brings on the name of the last person that PMed you
- A new map, the inside of the former "Evil Castle" was added.

Version 0.9.4 Beta [4 Jan 2004]
- A lot of client bug fixes, now the game shouldn't crash at all.
- The graphical maps were changed a little, to make them more accurate.
- A new PK map was added.
- A file called global_filters.txt was added, which you can edit and add/remove words you want to be censored.
- Two new high resolution were added, as well as a button to turn off the reflections.
- The fur cloaks and rabbit hats can be worn.
- Added boots, leather pants, steel chain armor, and titanium chain armor.


Version 0.9.3 Beta [22 Dec 2003]
- Fixed many bugs, such as: being able to steal someone's loot, client crashing when going to different maps, client losing
  packets from the server, object IDs being corrupted when an object was bad or missing, bags were made bigger so big corpses won't
  cover them entirely, etc.
- Added a new item, an Iron Helm. You can't find it in stores, or make it, but some monsters will drop it.  

Version 0.9.2 Beta [14 Dec 2003]
- Added a new map, 4 new monsters, and 1 item. The location and mane of the new aditions is secret, in order to encourage exploration.
- Optimized the client a little, some people should have a 20-50% FPS increase.
- Now you can move the NPC dialogue menus.
- The time, data, and bags content/location is saved at server shutdown, and reloaded at start, giving the world some more persistency.
- Many client and serverside bugs were fixed.
- The stats window refreshes properly, and have a few new fields.

Version 0.9.0 Beta [30 Nov 2003]
- Improved GUI (now the cursor changes it's shape according to the object it's under, can look at your trade partner's items)
- Names show above players/NPCs/animals.
- The stats window now has your exp for each skill, and the exp needed for the next level.
- A few client bug fixes.
- A new map (titanium mine, in Portland)
- 2 new monsters (skeletons and gargoyles)
- Changed the log in and console pictures.

Version 0.8.8 Alpha [9 Nov 2003]
- New models! Now you can see your weapons, armor, shield, etc. Also the new models will cast shadows and reflections in the water!
- Holding down Alt and right clicking on an enemy automatically attacks that target.
- Various bug fixes on the server
- Some inside maps were changed (added lights instead of ambient lighting) so they look much better.
- Some map bugs (bad heightmap) were fixed.
- Optimized the graphic engine a little, to give a small speed increase (10-30%) near water.

Version 0.8.6 Alpha [19 Oct 2003]
- Walking speed has been increased by 100%
- Middle mouse button now rotates the camera (hold it down, move the mouse horizontaly)
- Right mouse button is now "Use/Talk"

Version 0.8.5 Alpha [12 Oct 2003]
- Added female orcs.
- Added a lot of new items, such as metal bars, new tools, swords, magic rings, magic medallions, etc.
- A lot more NPCs, now each tavern/inn has it's bartender, general stores have their clerk, and so on.
- The orcs have been moved from Portland to Ruins of Tirnym, the golbins won't attack stronger players, and the
 weak/strong orc bug was finally fixed.
- Many minor bug fixes, both on the sever and client.
- Ability to manufacture swords, gloves, and some armors.
- Mining metals and quartz now requires to wear a pickaxe.

Version 0.8.4 Alpha [1 Oct 2003]
- Added two new maps.
- 3 new monsters (ogre, orc, goblin) that will attack you if they see you.
- Now the eye icon will give you some info about various objects (not fully operational yet)
- Fixed tons of bugs, on the server, including a server crashing bug, walking dead animals, the "remote healing" spell
  allowing infinite use, with no reagents cost, and many other smaller bugs.
- Now the creatures will attack you, if you poison them.
- Updated maps (the Tab maps), including more details, and they are much more accurate right now.
- A new spell (life drain)

Version 0.8.3 Alpha [21 Sept 2003]
- Changed the server, to a faster machine, in France.
- Added a few new items, and the ability to increase your manufacturing skill.
- Fixed a few bugs.

Version 0.8.2 Alpha [15 Sept 2003]
- Added support for some unicode characters (french, german and danish sets)
- 5 new animals (fox, puma, and 3 different snakes)
- The stats windows is now updated in real time, no need for a refresh.
- Fixed some combat formulas.
- Changed various animal attributes (made them a little stronger)
- Fixed Mira so now she will also buy potions.
- The "Carry Capacity" stat was moved to the inventory window.

Version 0.8.0 Alpha [2 Sept 2003]
- Now there is combat! You can attack the animals anywhere, and other players in PK maps.
- Added experience for new skills (atack, defense, combat, potion and alchemy)
- Many new potions (about 10)
- 2 new animal species (board and rabbit)
- Increased the harvesting exp/hour limit to 120 harvests, rather than the old 50.
- The Wraith and Golric will offer to train you and increase your WILL and REASONING stats, after 
completing some quests
- A few minor bug fixes, on the server.

Version 0.7.8 Pre Alpha [18 August 2003]
- Added AI in the game (deers, bears, and wolves). You can't attack them yet but you can poison them.
- Improved the GUI. (menus now have a border, and can be dragged on the screen)
- Fixed some map bugs.
- Reseted the harvesting skill, made the harvesting experience a little different to prevent scripting.
- Added a new map (a gold mine)
- Changed the magic system so you won't lose the reagents if the spell fails.

Version 0.7.7 Pre Alpha [30 July 2003]
- Added Magic (the magic system is still in the development stage).
- Added 4 new NPCs (2 magic shop owners, a blacksmith, and an alchemist).
- More items to manufacture.
- More resources to gather.
- Added a healthbar.
- You can now see when and how much damage someone takes.
- Some small bug fixes on the client and server.


Version 0.7.6 Pre Alpha [8 July 2003]
- Added a trade option.
- Added a new map.
- Added a new quest.
- Fixed some bugs.


Version 0.7.5 Pre Alpha [25 June 2003]
- Added a new (bigger) quest.
- Added a manufacturing option (so you can create some stuff)
- Added a new map.
- Now everything is saved at log out time.
- The "Stats" menu shows more attributes, including the carried weight.
- You can eat food, and drink some potions.
- Fixed a bug that made the client leak memory every frame (it also gives a small speed boost)
- Fixed a bug that incorrectly shown some dialogues.
- Fixed various invalid locations on the server.

Version 0.7.4 Pre Alpha [8 June 2003]
- Fixed some interface stuff.
- Added more player attributes.
- Added NPCs (shop keepers, and quest related NPCs)
- Two small quests.
- Some bug fixes.
- Added some ships, that take you to other maps.
- Now you can use the eye icon to identify resources.
- Added a weight and value information for items, so you can't carry anything until you complete a quest that increases
  your strenght.

Version 0.7.3 Pre Alpha [22 May 2003]
- Added the ability to pick up and drop items on the ground.
- Fixed lots of bugs related to inventory and harvesting.

Version 0.7.2 Pre Alpha [13 May 2003]
- Added an inventory!
- Added harvesting (gathering resources).
- Fixed SOME map related bugs, as well as some map images, so now your position is much less displaced.


Version 0.7.1 Pre Alpha [2 May 2003]
- Added in game maps. [Tab key]
- Now the 'view self attributes' icon is working.
- Fixed SOME sound related bugs, now, HOPEFULLY, the rain should not crash Win2k machines, if the sound is turned
  off in el.ini
- Fixed a bug regarding URLs send via private messages not working properly.  


Version 0.7.0 Pre Alpha [25 April 2003]
- Added weather conditions (rain, and thunders).
- Fixed some bugs that made the trees houses innacessible.
- Added a configuration program (Windows only).

Version 0.6.9 Pre Alpha [17 April 2003]
- Fixed that bug that prevented people from going inside the houses.
- Made it so that if you can not connect to the server, you can still press Alt+X to disconnect. 
  Very useful when in full screen mode.

Version 0.6.8 Pre Alpha [10 April 2003]
- Changed a lot in the rendering engine, now the limit is not placed on the CPU anymore, 
  not even on high poly count areas. This gives a speed boost from 0% (in some areas) up to 
  1000% in some other areas (depending on the video card).
- Made the current mode switch back to walk, after using an object (like entering a house, etc.)
- Fixed some bugs on various maps.
- Made it now mandatory to click on doors, instead of anywhere in the building, in order to get 
  out of that room/building.
- Added a few objects that were accidentally missing on the last update.
- Disabled the night shadows (they were slow, buggy and inaccurate)
- Fixed the bug that didn't allow people to use the Home key as "move forward"


Version 0.6.7 Pre Alpha [3 April 2003]
- Added 7 new maps and fixed some bugs in the first 2
- Added two new relief types (desert and caves), and lots of new objects
- Now you can go inside of houses, inns, shops, etc.
- The option menu now gives you the posibility to change the resolution, color depth (on Win32)
  and toggle the full screen mode on/off the fly.
- Added a manual navigation. That is, pressing the Home key moves you forward one step. It is
  usefull for places like mountains, etc.
- Now the compass gives you more detailed info (if you click on it), including the map name, and
  the area you are in.
- Added a 'text area'. That is, if you enter in a certain area, you get a text on your screen.
- Removed the opening screen, and replaced it with the console. (usefull to log the errors that 
  might happen prior to log in.
- Much better/faster response when someone losses the internet connection. That person is disconnected
  in less than 1 minute since that happens.
- Changed the name color to white, on the chat screen, so it is impossible now to 'impersonate'
  someone else.
- Fixed the teleporter related sound bug.



-----------------------------------------------------------------------------------------

Version 0.6.0 Pre Alpha [18 March 2003]
- Fixed two mouse pointer related bugs, on Linux.
- Fixed a bug that occured on Linux, causing the text to become pink, whenever the Del 
  key was pressed.
- Now you can use Page Up/Down in the console mode.
- Added some particle based teleport in/out effects.
- Added 3D sound in the game! (right now there are only 3 sounds, for teleporting in, out, 
  and the portals)
- Added paste ability! (thanks to Leeloo for some Linux paste code)
- Added some new directives in the configuration file, related to the ignore command.  

-----------------------------------------------------------------------------------------

Version: 0.5.9 Pre Alpha
- Fixed a bug that made the client crash when disconnected from the server.
- Fixed a bug that caused the Linux client to crash, after "glinfo"
- Fixed a bug that prevented the Linux client from properly detecting if we have 
  multitexturing, which resulted in a nasty crash, on video boards that don't support 
  multitexturing (like some Matrox video boards).
- Added a help command, in the game. Just go to the console, and type help, for a list of
  help topics.
- Made the client sleep a lot, while in the console mode, so, now, if you switch to the
  console mode, and do things such as browsing the net, play other games, etc. your other
  applications will be much more responsive.
- Added the ignore command, which is very usefull against AOL kids. Fore more info, go to
  the console and type: "help ignore"
- You can turn around in place now, but you have to stand still (as opposed to walking, or
  sitting). Use "help keys" for more info on this.
- Fixed a lot of bugs in the map editor, especially in the dungeon mode.
- Fixed a bug on the server that made two people log in the same spot.

-----------------------------------------------------------------------------------------

Version: 0.5.8 Pre Alpha
- A lot of bug fixed in the chat engine.
- A buffer overflow that might have crashed the client if someone didn't read the 
  license was fixed.
- The walking animation should be much smoother now.
- The camera rotation is very smooth.
- Autocamera works better now.
- Two new console commands: ver and glinfo
- Now there is a cursor, for the chat.
- Hopefully fixed a bug on the server that made two people log in the same spot.

-----------------------------------------------------------------------------------------

Version: 0.5.7 Pre Alpha

- A bug that prevented the text to display properly (it appeared as an avalanche of lagg)
  was fixed.
  
- A few minor optimizations (should increase the frame rate by 5-10% in places with many 
  objects, like cities or forests).

- Now you can invoke the console by pressing F1. This was done to solve a problem for those
  with non english keyboards.
  
- Some small changes in the start map, it should look better now.

- A whole new, BIG map. Just walk into a teleporter from the start map.

- Now the client will try to autodectect if the frame rate is too low, and if it is, it will
  disable the shadows.

- Now you can look at players, and get their name

- The working icons on the interface change their color when selected, or mouse over.

- The conversation is saved in the file chat_log.txt

- Fixed a bug where the game just quit when it couldn't resolve the host (now it will let 
  you retry, and will give an error message)
  
- Fixed two bugs when you reconnected to the server, after being disconencted. That is, if
  you were sitting at that time, now you can sit again. Another bug was that the players in
  your range were not cleared, and they appeared as 'ghostsly ghosts'.
  
- For those who didn't read the license, and run the game, will prompt them with an error
  message (a very mean/sarcastic one). Hopefully, they will feel offended.




